Skip to main content

Get Buy Prices

Get the current price of crypto assets in fiat. Returns the price per 1 unit of each crypto asset.

GEThttps://api.zenpayz.com/payment/api/v1/on-ramp/prices
Bearer · API key

Request

Headers

HeaderDescription
x-request-id
OPTIONAL
Custom request ID for tracing
Public Endpoint

This endpoint does not require authentication headers.

Query Parameters

ParameterTypeDescription
assets
REQUIRED
stringComma-separated crypto IDs (e.g. btc_bitcoin,eth_ethereum)
fiat
REQUIRED
stringFiat currency (e.g. usd)
country
OPTIONAL
stringISO country code

Response

Success (200 OK)

{
"success": true,
"data": [
{
"asset": "btc_bitcoin",
"fiat": "usd",
"price": 89285.71,
"timestamp": "2026-03-11T04:44:00.000Z"
},
{
"asset": "eth_ethereum",
"fiat": "usd",
"price": 3200.50,
"timestamp": "2026-03-11T04:44:00.000Z"
}
],
"message": "Prices retrieved"
}

Response Fields

ParameterTypeDescription
asset
OPTIONAL
stringCrypto asset ID
fiat
OPTIONAL
stringFiat currency
price
OPTIONAL
numberPrice of 1 unit of crypto in fiat
timestamp
OPTIONAL
stringISO 8601 timestamp

Error Responses

CodeHTTPMessage
RAMP_PRICES_FAILED500Failed to get prices

Examples

curl "https://api.zenpayz.com/payment/api/v1/on-ramp/prices?assets=btc_bitcoin,eth_ethereum&fiat=usd"

Next Steps